---
layout: page
title: ksqlDB Developer Guide
tagline: Program ksqlDB 
description: Learn to create ksqlDB applications
---

These topics show how to develop ksqlDB applications.

- [Configure ksqlDB CLI](../operate-and-deploy/installation/cli-config.md) 
- [Create a ksqlDB Stream](create-a-stream.md)
- [Create a ksqlDB Table](create-a-table.md)
- [Aggregate Streaming Data With ksqlDB](aggregate-streaming-data.md)
- [Query With Arrays and Maps](query-with-arrays-and-maps.md)
- [Query With Structured Data](query-with-structured-data.md)
- [Transform a Stream With ksqlDB](transform-a-stream-with-ksqldb.md)
- [Implement a User-defined Function (UDF, UDAF, and UDTF)](implement-a-udf)
- [Partition Data to Enable Joins](joins/partition-data.md)
- [Syntax Reference](syntax-reference.md)
- [Serialization](serialization.md)
- [Testing Tool](test-and-debug/ksqldb-testing-tool.md)
- [ksqlDB REST API Reference](api.md)
- [Processing Log](test-and-debug/processing-log.md)
- [Tutorials and Examples](../tutorials/index.md)


Page last revised on: {{ git_revision_date }}
